message(STATUS "Defining example: basic")

add_executable(xsdk_example_basic
    Example_basic.cpp
)

target_link_libraries(xsdk_example_basic
    PRIVATE
        xavia::sdk
)

add_executable(xavia::example_basic ALIAS xsdk_example_basic)

set_target_properties(xsdk_example_basic
    PROPERTIES
        FOLDER "examples"
)
